import { requestClient } from '#/api/request';

enum Api {
  additiveInventoryHandle = '/formAdditiveInventory/inventory/handle',
  attendanceMeetingHandle = '/formAttendanceMeetings/meetings/handle',
  emergencyWySubmit = '/formEmergencyDrill/drill/submit',
  emergencyWySubmitReport = '/formEmergencyDrill/drill/submitReport',
  groupLogBase = '/formTeamShiftLog/log/handle',
  gunCheckHeightHandle = '/formGunSelfCheck/check/height/handle',
  handleGunCheck = '/formGunSelfCheck/check/handle',
  joinEmergencyHandle = '/formParticipationRecord/record/handle',
  marketingSurveyHandle = '/formCompetitorMarketingSurvey/survey/handle',
  meetingBase = '/formMeetingRecords/records/handle',
  operationalWeeklyReportHandle = '/formOperationalWeeklyReport/report/handle',
  salesSurveyHandle = '/formCompetitorSalesSurvey/survey/handle',
  scheduleShiftManagementList = '/scheduleShiftManagement/management/list',
  tankWaterHandle = '/formTankWater/water/handle',
  turnInRateSurveyHandle = '/formTurnInRateSurvey/survey/handle',
  weeklyEvaluationHandle = '/formEmployeeWeeklyEvaluation/evaluation/handle',
  // childBase = '/taskCheckSubItem/item',
}

/**
 * 班组日志处理
 * @param params 处理参数
 * @returns
 */
export function handleGroupLog(params: any) {
  return requestClient.post(`${Api.groupLogBase}`, params);
}

/**
 * 会议处理
 * @param params 处理参数
 * @returns
 */
export function handleMeeting(params: any) {
  return requestClient.put(`${Api.meetingBase}`, params);
}

/**
 * 排班管理列表查询
 * @param params 查询参数
 * @returns
 */
export function getScheduleShiftManagementList(params: any) {
  return requestClient.get(`${Api.scheduleShiftManagementList}`, { params });
}

/**
 * 应急演练提交
 * @param params 提交参数
 * @returns
 */
export function submitEmergencyWy(params: any) {
  return requestClient.put(`${Api.emergencyWySubmit}`, params);
}

/**
 * 应急演练报告提交
 * @param params 提交参数
 * @returns
 */
export function submitEmergencyWyReport(params: any) {
  return requestClient.put(`${Api.emergencyWySubmitReport}`, params);
}

/**
 * 销量调查处理
 * @param params 处理参数
 * @returns
 */
export function handleSalesSurvey(params: any) {
  return requestClient.put(`${Api.salesSurveyHandle}`, params);
}

/**
 * 每周评价处理
 * @param params 处理参数
 * @returns
 */
export function handleWeeklyEvaluation(params: any) {
  return requestClient.put(`${Api.weeklyEvaluationHandle}`, params);
}
/**
 * 入场率调查处理
 * @param params 处理参数
 * @returns
 */
export function handleTurnInRateSurvey(params: any) {
  return requestClient.put(`${Api.turnInRateSurveyHandle}`, params);
}

/**
 * 营销调查处理
 * @param params 处理参数
 * @returns
 */
export function handleMarketingSurvey(params: any) {
  return requestClient.put(`${Api.marketingSurveyHandle}`, params);
}

/**
 * 参与紧急情况处理
 * @param params 处理参数
 * @returns
 */
export function handleJoinEmergency(params: any) {
  return requestClient.put(`${Api.joinEmergencyHandle}`, params);
}

/**
 * 参与出勤会议处理
 * @param params 处理参数
 * @returns
 */
export function handleAttendanceMeeting(params: any) {
  return requestClient.put(`${Api.attendanceMeetingHandle}`, params);
}

/**
 * 量缸试水处理
 * @param params 处理参数
 * @returns
 */
export function handleTankWater(params: any) {
  return requestClient.put(`${Api.tankWaterHandle}`, params);
}

/**
 * 添加剂库存处理
 * @param params 处理参数
 * @returns
 */
export function handleAdditiveInventory(params: any) {
  return requestClient.put(`${Api.additiveInventoryHandle}`, params);
}

/**
 * 运营周报处理
 * @param params 处理参数
 * @returns
 */
export function handleOperationalWeeklyReport(params: any) {
  return requestClient.put(`${Api.operationalWeeklyReportHandle}`, params);
}

/**
 * 枪试检查处理
 * @param params 处理参数
 * @returns
 */
export function handleGunCheck(params: any) {
  return requestClient.put(`${Api.handleGunCheck}`, params);
}

/**
 * 枪试检查高度处理
 * @param params 处理参数
 * @returns
 */
export function handleGunCheckHeight(params: any) {
  return requestClient.put(`${Api.gunCheckHeightHandle}`, params);
}
